From 9986f1a7f8bf4bb33874d6ba44fe06985e21909b Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jul 18 2017 13:42:17 +0000
Subject: [PATCH 900/1001] Protect the pagure_pr widget against malformed JSON


---

diff --git a/hubs/widgets/pagure_pr/__init__.py b/hubs/widgets/pagure_pr/__init__.py
index 0eec25a..3f51323 100644
--- a/hubs/widgets/pagure_pr/__init__.py
+++ b/hubs/widgets/pagure_pr/__init__.py
@@ -46,7 +46,10 @@ class GetPRs(CachedFunction):
         repo = self.instance.config["repo"]
         url = '/'.join([pagure_url, repo, "pull-requests"])
         response = requests.get(url)
-        data = response.json()
+        try:
+            data = response.json()
+        except ValueError:
+            return dict(all_pr=[], total_req=0)
         total_req = data['total_requests']
         all_pr = list()
 

